Bug 198929 - RFE: BZflag needs an init.d script
Summary: RFE: BZflag needs an init.d script
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bzflag   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-07-14 19:25 UTC by Wart
Modified: 2016-07-19 22:24 UTC (History)
2 users (show)

Fixed In Version: bzflag-2.4.6-3.fc23
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 22:24:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
spec file patch (1.78 KB, patch)
2006-10-31 05:05 UTC, Wart
no flags Details | Diff
configuration file for bzflag server (279 bytes, application/octet-stream)
2006-10-31 05:06 UTC, Wart
no flags Details
system startup script (1.75 KB, text/plain)
2006-10-31 05:08 UTC, Wart
no flags Details

Description Wart 2006-07-14 19:25:32 UTC
Description of problem:
BZflag won't start automatically when the system boots up because there is no
init.d script available.

Version-Release number of selected component (if applicable):
2.0.8-2.fc5

How reproducible:
Always

Steps to Reproduce:
1.  Install bzflag
2.  look in /etc/init.d
  
Actual results:
/etc/init.d/bzflag does not exist

Expected results:
/etc/init.d/bzflag exists

Additional info:

Comment 1 Wart 2006-10-31 05:05:58 UTC
Created attachment 139805 [details]
spec file patch

Comment 2 Wart 2006-10-31 05:06:34 UTC
Created attachment 139806 [details]
configuration file for bzflag server

Comment 3 Wart 2006-10-31 05:08:35 UTC
Created attachment 139807 [details]
system startup script

The three attachments are what I've used to create a bzflag package that
includes a system startup script.  bzflag.sysconfig can be used to pass options
to the server at startup.

This doesn't deal with log file rotation, but so far I haven't seen that bzfs
generates much output anyway.

Comment 4 Bug Zapper 2008-05-14 12:02:03 UTC
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 John Poelstra 2008-07-15 21:17:13 UTC
add FutureFeature keyword

Comment 6 Fedora Update System 2016-06-28 16:04:19 UTC
bzflag-2.4.6-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-4aa57e8b8a

Comment 7 Fedora Update System 2016-06-28 16:04:27 UTC
bzflag-2.4.6-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-55aa0dca76

Comment 8 Fedora Update System 2016-06-28 16:04:32 UTC
bzflag-2.4.6-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ab22a5c9e0

Comment 9 Fedora Update System 2016-06-29 18:26:48 UTC
bzflag-2.4.6-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-4aa57e8b8a

Comment 10 Fedora Update System 2016-06-29 22:21:05 UTC
bzflag-2.4.6-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ab22a5c9e0

Comment 11 Fedora Update System 2016-06-29 22:56:18 UTC
bzflag-2.4.6-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-55aa0dca76

Comment 12 Fedora Update System 2016-07-06 15:11:29 UTC
bzflag-2.4.6-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-57b9e18251

Comment 13 Fedora Update System 2016-07-06 15:11:37 UTC
bzflag-2.4.6-3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d8986af1b8

Comment 14 Fedora Update System 2016-07-10 03:54:10 UTC
bzflag-2.4.6-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-57b9e18251

Comment 15 Fedora Update System 2016-07-12 03:29:13 UTC
bzflag-2.4.6-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d8986af1b8

Comment 16 Fedora Update System 2016-07-19 22:24:24 UTC
bzflag-2.4.6-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.